Skip to main content
`Ctrl`+`K`

# SNESMonitorRatioSetUp

Insures the `SNES` object is saving its history since this monitor needs access to it

## Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode SNESMonitorRatioSetUp(SNES snes, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- snes - the `SNES` context

- vf - `PetscViewerAndFormat` (ignored)

## See Also

SNES: Nonlinear Solvers, `SNESMonitorSet()`, `SNESMonitorSolution()`, `SNESMonitorDefault()`, `SNESMonitorRatio()`, `PetscViewerFormat`, `PetscViewerAndFormat`

## Level

intermediate

## Location

src/snes/interface/snesut.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages